package domain


type AlibabaTclsAelophyMerchantChannelOrderCreateDiscountInfo struct {
    /*
        营销活动ID     */
    ActivityId  *string `json:"activity_id,omitempty" `

    /*
        营销活动类型     */
    ActivityType  *string `json:"activity_type,omitempty" `

    /*
        活动优惠金额     */
    DiscountFee  *int64 `json:"discount_fee,omitempty" `

    /*
        活动优惠金额商家分摊     */
    MerchantDiscountFee  *int64 `json:"merchant_discount_fee,omitempty" `

    /*
        活动优惠金额平台分摊     */
    PlatformDiscountFee  *int64 `json:"platform_discount_fee,omitempty" `

    /*
        活动名称     */
    ActivityName  *string `json:"activity_name,omitempty" `

}

func (s *AlibabaTclsAelophyMerchantChannelOrderCreateDiscountInfo) SetActivityId(v string) *AlibabaTclsAelophyMerchantChannelOrderCreateDiscountInfo {
    s.ActivityId = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateDiscountInfo) SetActivityType(v string) *AlibabaTclsAelophyMerchantChannelOrderCreateDiscountInfo {
    s.ActivityType = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateDiscountInfo) SetDiscountFee(v int64) *AlibabaTclsAelophyMerchantChannelOrderCreateDiscountInfo {
    s.DiscountFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateDiscountInfo) SetMerchantDiscountFee(v int64) *AlibabaTclsAelophyMerchantChannelOrderCreateDiscountInfo {
    s.MerchantDiscountFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateDiscountInfo) SetPlatformDiscountFee(v int64) *AlibabaTclsAelophyMerchantChannelOrderCreateDiscountInfo {
    s.PlatformDiscountFee = &v
    return s
}
func (s *AlibabaTclsAelophyMerchantChannelOrderCreateDiscountInfo) SetActivityName(v string) *AlibabaTclsAelophyMerchantChannelOrderCreateDiscountInfo {
    s.ActivityName = &v
    return s
}
